Skip to content
Snippets Groups Projects
Commit ce34b534 authored by Oliver Sander's avatar Oliver Sander
Browse files

Bugfix:

- Remove unnecessary path to control file (It was needed for building
  installed modules which we do not do any more
- Test for ../../pkgconfig/$modname.pc to decide whether a module is 
  installed or not. Fixes flyspray 1100.


[[Imported from SVN: r6779]]
parent 3af7d3e2
No related branches found
No related tags found
No related merge requests found
......@@ -143,7 +143,7 @@ build_module() {
set -e
cd "$path"
export module
eval_control $runcommand $path/$(eval eval echo \$CONTROL_$module)
eval_control $runcommand $path/$CONTROL
); then eval echo "--- Failed to build \$NAME_${module} ---"; exit 1; fi
trap onfailure EXIT
......
......@@ -69,11 +69,9 @@ parse_control() {
# - source module: ${path}/dune.module
# and there is a file ${path}/${name}.pc.in
local path="$(canonicalpath "$1")"
if test -f $path/$CONTROL -a \
-f $path/../../../lib/dunecontrol/${name}/$CONTROL; then
if test -f $path/../../pkgconfig/${name}.pc; then
path=$(canonicalname "$path/../../../")
export module_inst="yes"
export CONTROL_${module}=lib/dunecontrol/${name}/$CONTROL
fi
if ! check_modname "$module"; then
echo "ERROR: $CONTROL files $1 contains an invalid Module entry" >&2
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment